Arbor 3: FSM & BT Graph Editor 3.3.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleRectTransform Class Reference

Class to handle a flexible RectTransform type reference method there is more than one. More...

Inheritance diagram for FlexibleRectTransform:

## Public Member Functions
| FlexibleRectTransform ()
| FlexibleRectTransform default constructor More...
| FlexibleRectTransform (RectTransform value)
| FlexibleRectTransform constructor More...
| FlexibleRectTransform (RectTransformParameterReference parameter)
| FlexibleRectTransform constructor More...
| FlexibleRectTransform (InputSlotRectTransform slot)
| FlexibleRectTransform constructor More...
object | GetValueObject ()
| Return the value as object. More...

## Static Public Member Functions
static | operator RectTransform (FlexibleRectTransform flexible)
| Cast FlexibleRectTransform to RectTransform. More...
static | operator FlexibleRectTransform (RectTransform value)
| Cast RectTransform to FlexibleRectTransform. More...

## Properties
FlexibleType | type`[get]`
| It returns a type More...
Parameter | parameter`[get]`
| It return a Paramter. More...
RectTransform | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible RectTransform type reference method there is more than one.

## Constructor & Destructor Documentation

FlexibleRectTransform | ( |  | ) |

FlexibleRectTransform default constructor

FlexibleRectTransform | ( | RectTransform | value | ) |

FlexibleRectTransform constructor

Parameters

  value | Value

FlexibleRectTransform | ( | RectTransformParameterReference | parameter | ) |

FlexibleRectTransform constructor

Parameters

  parameter | Parameter

FlexibleRectTransform | ( | InputSlotRectTransform | slot | ) |

FlexibleRectTransform constructor

Parameters

  slot | Slot

## Member Function Documentation

object GetValueObject | ( |  | ) |

Return the value as object.

Returns
  The value object

Implements IFlexibleField.

static operator FlexibleRectTransform | ( | RectTransform | value | ) |
| explicit static

Cast RectTransform to FlexibleRectTransform.

Parameters

  value | RectTransform

static operator RectTransform | ( | FlexibleRectTransform | flexible | ) |
| explicit static

Cast FlexibleRectTransform to RectTransform.

Parameters

  flexible | FlexibleRectTransform

## Property Documentation

Parameter parameter
| get

It return a Paramter.

It is null if Type is other than Parameter.

FlexibleType type
| get

It returns a type

RectTransform value
| get

It returns a value